#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
#-----------------------------------------------------------------------------
Name		:	menulibre
Version		:	2.2.0
Release		:	14.4.0.0%{?dist}
Summary		:	A beautiful interface powered by the latest version of GTK+
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+ and GPLv2+
URL		:	https://launchpad.net/menulibre
			#https://bluesabre.org/projects/menulibre/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python3-pygobject
BuildRequires	:	python3-psutil
BuildRequires	:	python-distutils-extra

BuildArch	:	noarch

Requires	:	python3-pygobject
Requires	:	gnome-menus
#-----------------------------------------------------------------------------
%description
An advanced menu editor that provides modern features in a
clean, easy-to-use interface. MenuLibre is developed for users
who want to manage their menus without ever needing to read
the spec or use a text editor. Budgie, Cinnamon, GNOME, KDE
(Plasma), LXDE, LXQt, MATE, Pantheon, Unity, and Xfce are
all supported.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%{_bindir}/%{name}-menu-validate
%{python3_sitelib}/%{name}/*.py
%{python3_sitelib}/%{name}/__pycache__/*.pyc
%{python3_sitelib}/%{name}_lib/*.py
%{python3_sitelib}/%{name}_lib/__pycache__/*.pyc
%{python3_sitelib}/%{name}-%{version}*egg-info
%{_datadir}/icons/hicolor/*/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/ui/*.ui
%{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

IMPOGI="import gi\ngi.require_version('Gtk', '3.0')"
sed -i							\
  -e "/^import sys/a$IMPOGI"				\
  setup.py

export XDG_RUNTIME_DIR=/tmp
export LC_ALL=en_US.UTF-8
%{__python}						\
	./setup.py					\
	build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

install -Dm 0644					\
	 build/share/applications/%{name}.desktop	\
	%{buildroot}%{_datadir}/applications/%{name}.desktop

export XDG_RUNTIME_DIR=/tmp
export LANG=en_US.UTF-8
%{__python}						\
	./setup.py					\
	 install					\
		--skip-build				\
		--prefix="%{_prefix}"			\
		--root="%{buildroot}"			\

%{__rm} -fr						\
	%{buildroot}%{_defaultdocdir}/%{name}

#-----------------------------------------------------------------------------
%changelog
